Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 464141 (perl-Text-Trac) - Review Request: perl-Text-Trac - Perl extension for formatting text with Trac Wiki Style
Summary: Review Request: perl-Text-Trac - Perl extension for formatting text with Trac...
Keywords:
Status: CLOSED NOTABUG
Alias: perl-Text-Trac
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 464140 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW perl-SVN-Notify
TreeView+ depends on / blocked
 
Reported: 2008-09-26 13:27 UTC by Timon
Modified: 2011-01-10 23:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-10 23:37:02 UTC


Attachments (Terms of Use)
perl-Text-Trac-0.15-1.fc12.src.rpm (deleted)
2009-06-19 13:59 UTC, Timon
no flags Details
perl-Text-Trac.spec (deleted)
2009-06-19 14:00 UTC, Timon
no flags Details
perl-Text-Trac.spec (deleted)
2009-11-03 08:22 UTC, Timon
no flags Details
perl-Text-Trac-0.15-1.fc12.src.rpm (deleted)
2009-11-03 08:45 UTC, Timon
no flags Details

Description Timon 2008-09-26 13:27:53 UTC
Spec URL: http://timon.perm.ru/download/perl-Text-Trac.spec
SRPM URL: http://timon.perm.ru/download/perl-Text-Trac-0.13-1.fc9.src.rpm
Description: Text::Trac parses text with Trac WikiFormatting and convert it to html format.

more info: http://search.cpan.org/dist/Text-Trac/

Comment 1 Timon 2008-09-26 13:30:01 UTC
*** Bug 464140 has been marked as a duplicate of this bug. ***

Comment 2 Marcela Mašláňová 2008-11-19 13:20:19 UTC
OK source files match upstream
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field (same as Perl) matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package isn't need.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

Comment 3 Timon 2009-06-19 13:59:27 UTC
Created attachment 348669 [details]
perl-Text-Trac-0.15-1.fc12.src.rpm

Comment 4 Timon 2009-06-19 14:00:04 UTC
Created attachment 348670 [details]
perl-Text-Trac.spec

Comment 5 Timon 2009-06-19 14:00:36 UTC
new version perl-Text-Trac-0.15

Comment 6 Marcela Mašláňová 2009-06-19 14:18:57 UTC
Correct me if I'm wrong. But you wasn't still sponsored, so you don't have commit access into cvs?

Comment 7 Timon 2009-06-19 14:49:42 UTC
yup. I need a sponsor.

Comment 8 Jan Klepek 2009-08-15 13:10:50 UTC
Hi Timon,

1]
please bump everytime you provide new version of package release number and post links to new version in your reply

2]
%defattr(0644,root,root,0755)
do you have any reason why not to use %defatter(-,root,root,-) ?
https://fedoraproject.org/wiki/Packaging/Guidelines#File_Permissions

3] cp in makefile is without -p switch, write patch that cp in Makefile will be performed with -p switch (sed during prep will be good enough)
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

4]
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Pod)

you have to include this as without it, not all tests are performed and you break this guideline:
https://fedoraproject.org/wiki/Packaging:Perl#Perl_Packaging

Hi Marcela,

official review for new packagers which are not yet sponsored must be done by sponsor.

http://fedoraproject.org/wiki/Package_Review_Process#Reviewer
I think that you should keep this ticket unassigned until Timon is sponsored. That sponsors will see that this ticket needs attention and is not assigned.

Comment 9 Jan Klepek 2009-08-15 13:16:46 UTC
Marcela, 

please clear fedora.review as there are things which needs to be adressed before this package meets packaging guidelines and as Timon is not yet sponsored so fedora.review+ could be set only by sponsor.

Comment 10 Jason Tibbitts 2009-11-03 02:32:03 UTC
It's been quite some time since comment #8 with no response from the submitter of this ticket.  I guess it should be closed soon if nothing further happens.

Comment 11 Timon 2009-11-03 08:20:36 UTC
(In reply to comment #8)
> 1]
> please bump everytime you provide new version of package release number and
> post links to new version in your reply
I have some problems with public web server. So I attach spec and SRPM.

> 2]
> %defattr(0644,root,root,0755)
> do you have any reason why not to use %defatter(-,root,root,-) ?
> https://fedoraproject.org/wiki/Packaging/Guidelines#File_Permissions
fixed 

> 3] cp in makefile is without -p switch, write patch that cp in Makefile will be
> performed with -p switch (sed during prep will be good enough)
> https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
This is CPAN Package and Makefile generates using Makefile.PL perl script. I can sed in %build section, but I don't think this is good idea. I looked into other SRPM made from CPAN, but didn't find any resolutions of this problem. 

> 4]
> BuildRequires:  perl(Test::Pod::Coverage)
> BuildRequires:  perl(Test::Pod)
fixed

Comment 12 Timon 2009-11-03 08:22:23 UTC
Created attachment 367264 [details]
perl-Text-Trac.spec

Comment 13 Timon 2009-11-03 08:45:38 UTC
Created attachment 367267 [details]
perl-Text-Trac-0.15-1.fc12.src.rpm

Comment 14 Timon 2009-11-03 08:48:11 UTC
(In reply to comment #8)
> please bump everytime you provide new version of package release number and
> post links to new version in your reply

perl-Text-Trac-0.15-1

https://bugzilla.redhat.com/attachment.cgi?id=367267 - perl-Text-Trac-0.15-1.fc12.src.rpm  
https://bugzilla.redhat.com/attachment.cgi?id=367264 - perl-Text-Trac.spec

Comment 15 Jan Klepek 2010-06-10 05:48:18 UTC
Hi Timon, it is better to have this somewhere on web and put just links to that specfile/src.rpm
(In reply to comment #11)
> > 3] cp in makefile is without -p switch, write patch that cp in Makefile will be
> > performed with -p switch (sed during prep will be good enough)
> > https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
> This is CPAN Package and Makefile generates using Makefile.PL perl script. I
> can sed in %build section, but I don't think this is good idea. I looked into
> other SRPM made from CPAN, but didn't find any resolutions of this problem. 

Why do you think it is wrong idea? if Makefile is not ok by fedora guidelines, you need to alter it into way that it will be ok with guidelines

Comment 16 Jason Tibbitts 2010-11-23 02:17:59 UTC
Is anything happening with this ticket?  I suspect that few people want to review it because you make it difficult to get the files.  Bugzilla attachments are not a very good way to do this, which is why we offer hosting for this kind of thing.  Our documentation tells you how to request hosting, which suggests to me that you've not read it.  http://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Comment 17 Jason Tibbitts 2011-01-10 23:37:02 UTC
No response in ages; closing.


Note You need to log in before you can comment on or make changes to this bug.